"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.status = status;
const path_1 = __importDefault(require("path"));
const logger_1 = require("@pnpm/logger");
const store_connection_manager_1 = require("@pnpm/store-connection-manager");
const store_path_1 = require("@pnpm/store-path");
async function status(opts) {
    const storeDir = await (0, store_path_1.getStorePath)({
        pkgRoot: opts.dir,
        storePath: opts.storeDir,
        pnpmHomeDir: opts.pnpmHomeDir,
    });
    const connectionInfoDir = (0, store_connection_manager_1.serverConnectionInfoDir)(storeDir);
    const serverJson = await (0, store_connection_manager_1.tryLoadServerJson)({
        serverJsonPath: path_1.default.join(connectionInfoDir, 'server.json'),
        shouldRetryOnNoent: false,
    });
    if (serverJson === null) {
        (0, logger_1.globalInfo)(`No server is running for the store at ${storeDir}`);
        return;
    }
    console.log(`store: ${storeDir}
process id: ${serverJson.pid}
remote prefix: ${serverJson.connectionOptions.remotePrefix}`);
}
//# sourceMappingURL=status.js.map